<?php
$tdatadocumenttype = array();
$tdatadocumenttype[".searchableFields"] = array();
$tdatadocumenttype[".ShortName"] = "documenttype";
$tdatadocumenttype[".OwnerID"] = "";
$tdatadocumenttype[".OriginalTable"] = "documenttype";


$tdatadocumenttype[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatadocumenttype[".originalPagesByType"] = $tdatadocumenttype[".pagesByType"];
$tdatadocumenttype[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatadocumenttype[".originalPages"] = $tdatadocumenttype[".pages"];
$tdatadocumenttype[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatadocumenttype[".originalDefaultPages"] = $tdatadocumenttype[".defaultPages"];

//	field labels
$fieldLabelsdocumenttype = array();
$fieldToolTipsdocumenttype = array();
$pageTitlesdocumenttype = array();
$placeHoldersdocumenttype = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsdocumenttype["English"] = array();
	$fieldToolTipsdocumenttype["English"] = array();
	$placeHoldersdocumenttype["English"] = array();
	$pageTitlesdocumenttype["English"] = array();
	$fieldLabelsdocumenttype["English"]["documentID"] = "#";
	$fieldToolTipsdocumenttype["English"]["documentID"] = "";
	$placeHoldersdocumenttype["English"]["documentID"] = "";
	$fieldLabelsdocumenttype["English"]["DocumentTypeName"] = "ປະເພດເອກະສານ";
	$fieldToolTipsdocumenttype["English"]["DocumentTypeName"] = "";
	$placeHoldersdocumenttype["English"]["DocumentTypeName"] = "";
	if (count($fieldToolTipsdocumenttype["English"]))
		$tdatadocumenttype[".isUseToolTips"] = true;
}


	$tdatadocumenttype[".NCSearch"] = true;



$tdatadocumenttype[".shortTableName"] = "documenttype";
$tdatadocumenttype[".nSecOptions"] = 0;

$tdatadocumenttype[".mainTableOwnerID"] = "";
$tdatadocumenttype[".entityType"] = 0;
$tdatadocumenttype[".connId"] = "eflejob_at_localhost";


$tdatadocumenttype[".strOriginalTableName"] = "documenttype";

	



$tdatadocumenttype[".showAddInPopup"] = false;

$tdatadocumenttype[".showEditInPopup"] = false;

$tdatadocumenttype[".showViewInPopup"] = false;

	$tdatadocumenttype[".listAjax"] = true;
//	temporary
//$tdatadocumenttype[".listAjax"] = false;

	$tdatadocumenttype[".audit"] = false;

	$tdatadocumenttype[".locking"] = false;


$pages = $tdatadocumenttype[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadocumenttype[".edit"] = true;
	$tdatadocumenttype[".afterEditAction"] = 1;
	$tdatadocumenttype[".closePopupAfterEdit"] = 1;
	$tdatadocumenttype[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatadocumenttype[".add"] = true;
$tdatadocumenttype[".afterAddAction"] = 1;
$tdatadocumenttype[".closePopupAfterAdd"] = 1;
$tdatadocumenttype[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatadocumenttype[".list"] = true;
}



$tdatadocumenttype[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadocumenttype[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadocumenttype[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadocumenttype[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadocumenttype[".printFriendly"] = true;
}



$tdatadocumenttype[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadocumenttype[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadocumenttype[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadocumenttype[".isUseAjaxSuggest"] = true;



			

$tdatadocumenttype[".ajaxCodeSnippetAdded"] = false;

$tdatadocumenttype[".buttonsAdded"] = false;

$tdatadocumenttype[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadocumenttype[".isUseTimeForSearch"] = false;


$tdatadocumenttype[".badgeColor"] = "1E90FF";


$tdatadocumenttype[".allSearchFields"] = array();
$tdatadocumenttype[".filterFields"] = array();
$tdatadocumenttype[".requiredSearchFields"] = array();

$tdatadocumenttype[".googleLikeFields"] = array();
$tdatadocumenttype[".googleLikeFields"][] = "documentID";
$tdatadocumenttype[".googleLikeFields"][] = "DocumentTypeName";



$tdatadocumenttype[".tableType"] = "list";

$tdatadocumenttype[".printerPageOrientation"] = 0;
$tdatadocumenttype[".nPrinterPageScale"] = 100;

$tdatadocumenttype[".nPrinterSplitRecords"] = 40;

$tdatadocumenttype[".geocodingEnabled"] = false;










$tdatadocumenttype[".pageSize"] = 20;

$tdatadocumenttype[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatadocumenttype[".strOrderBy"] = $tstrOrderBy;

$tdatadocumenttype[".orderindexes"] = array();


$tdatadocumenttype[".sqlHead"] = "SELECT documentID,  	DocumentTypeName";
$tdatadocumenttype[".sqlFrom"] = "FROM documentType";
$tdatadocumenttype[".sqlWhereExpr"] = "";
$tdatadocumenttype[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadocumenttype[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadocumenttype[".arrGroupsPerPage"] = $arrGPP;

$tdatadocumenttype[".highlightSearchResults"] = true;

$tableKeysdocumenttype = array();
$tableKeysdocumenttype[] = "documentID";
$tdatadocumenttype[".Keys"] = $tableKeysdocumenttype;


$tdatadocumenttype[".hideMobileList"] = array();




//	documentID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "documentID";
	$fdata["GoodName"] = "documentID";
	$fdata["ownerTable"] = "documenttype";
	$fdata["Label"] = GetFieldLabel("documenttype","documentID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "documentID";

		$fdata["sourceSingle"] = "documentID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "documentID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadocumenttype["documentID"] = $fdata;
		$tdatadocumenttype[".searchableFields"][] = "documentID";
//	DocumentTypeName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "DocumentTypeName";
	$fdata["GoodName"] = "DocumentTypeName";
	$fdata["ownerTable"] = "documenttype";
	$fdata["Label"] = GetFieldLabel("documenttype","DocumentTypeName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "DocumentTypeName";

		$fdata["sourceSingle"] = "DocumentTypeName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "DocumentTypeName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadocumenttype["DocumentTypeName"] = $fdata;
		$tdatadocumenttype[".searchableFields"][] = "DocumentTypeName";


$tables_data["documenttype"]=&$tdatadocumenttype;
$field_labels["documenttype"] = &$fieldLabelsdocumenttype;
$fieldToolTips["documenttype"] = &$fieldToolTipsdocumenttype;
$placeHolders["documenttype"] = &$placeHoldersdocumenttype;
$page_titles["documenttype"] = &$pageTitlesdocumenttype;


changeTextControlsToDate( "documenttype" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["documenttype"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["documenttype"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_documenttype()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "documentID,  	DocumentTypeName";
$proto0["m_strFrom"] = "FROM documentType";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "documentID",
	"m_strTable" => "documenttype",
	"m_srcTableName" => "documenttype"
));

$proto6["m_sql"] = "documentID";
$proto6["m_srcTableName"] = "documenttype";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "DocumentTypeName",
	"m_strTable" => "documenttype",
	"m_srcTableName" => "documenttype"
));

$proto8["m_sql"] = "DocumentTypeName";
$proto8["m_srcTableName"] = "documenttype";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "documenttype";
$proto11["m_srcTableName"] = "documenttype";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "documentID";
$proto11["m_columns"][] = "DocumentTypeName";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "documentType";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "documenttype";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="documenttype";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_documenttype = createSqlQuery_documenttype();


	
		;

		

$tdatadocumenttype[".sqlquery"] = $queryData_documenttype;



$tdatadocumenttype[".hasEvents"] = false;

?>